Class | Spec::Runner::ClassAndArgumentsParser
In: | lib/spec/runner/class_and_arguments_parser.rb
Parent: | Object

### Methods

parse

### Public Class methods

parse(s)

[Source]

        # File lib/spec/runner/class_and_arguments_parser.rb, line 5
     5:         def parse(s)
     6:           if s =~ /([a-zA-Z_]+(?:::[a-zA-Z_]+)*):?(.*)/
     7:             arg = $2 == "" ? nil : $2
     8:             [$1, arg]
     9:           else
    10:             raise "Couldn't parse #{s.inspect}"
    11:           end
    12:         end

[Validate]